SFML 2.5.1

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
sf::Event::MouseWheelScrollEvent Struct Reference

Mouse wheel events parameters (MouseWheelScrolled) More...

`#include <Event.hpp>`

## Public Attributes

Mouse::Wheel | wheel
| Which wheel (for mice with multiple ones)
float | delta
| Wheel offset (positive is up/left, negative is down/right). High-precision mice may use non-integral offsets.
int | x
| X position of the mouse pointer, relative to the left of the owner window.
int | y
| Y position of the mouse pointer, relative to the top of the owner window.

## Detailed Description

Mouse wheel events parameters (MouseWheelScrolled)

Definition at line 120 of file Event.hpp.

## Member Data Documentation

## ◆ delta

float sf::Event::MouseWheelScrollEvent::delta

Wheel offset (positive is up/left, negative is down/right). High-precision mice may use non-integral offsets.

Definition at line 123 of file Event.hpp.

## ◆ wheel

Mouse::Wheel sf::Event::MouseWheelScrollEvent::wheel

Which wheel (for mice with multiple ones)

Definition at line 122 of file Event.hpp.

## ◆ x

int sf::Event::MouseWheelScrollEvent::x

X position of the mouse pointer, relative to the left of the owner window.

Definition at line 124 of file Event.hpp.

## ◆ y

int sf::Event::MouseWheelScrollEvent::y

Y position of the mouse pointer, relative to the top of the owner window.

Definition at line 125 of file Event.hpp.

The documentation for this struct was generated from the following file:

- Event.hpp